<?php

require_once(dirname(__FILE__) . "/../../../../config.php");
require_once($CFG->dirroot.'/lib/setup.php');

session_get_instance();
require_login();

global $DB;
global $CFG;
global $COURSE;
global $SESSION;

require_once($CFG->dirroot.'/mod/edusharing/lib/ESApp.php');
require_once($CFG->dirroot.'/mod/edusharing/lib/EsApplication.php');
require_once($CFG->dirroot.'/mod/edusharing/lib/EsApplications.php');
require_once($CFG->dirroot.'/mod/edusharing/conf/cs_conf.php');
require_once($CFG->dirroot.'/mod/edusharing/lib/cclib.php');
require_once($CFG->dirroot.'/mod/edusharing/lib.php');

$tinymce = get_texteditor('tinymce');
if ( ! $tinymce )
{
	throw new RuntimeException('Could not get_texteditor("tinymce") for version-information.');
}

if ( empty($CFG->yui3version) )
{
	throw new RuntimeException('Could not determine installed YUI-version.');
}

?><html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo htmlentities(get_string('dialog_title', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></title>

	<script type="text/javascript" src="<?php echo htmlentities($CFG->wwwroot.'/lib/yui/'.$CFG->yui3version.'/build/yui/yui.js', ENT_COMPAT, 'utf-8') ?>"></script>
	<script type="text/javascript" src="<?php echo htmlentities($CFG->wwwroot.'/lib/editor/tinymce/tiny_mce/'.$tinymce->version.'/tiny_mce_popup.js', ENT_COMPAT, 'utf-8') ?>"></script>

	<script type="text/javascript" src="<?php echo htmlentities($CFG->wwwroot.'/lib/editor/edusharing/js/edusharing.js', ENT_COMPAT, 'utf-8') ?>"></script>
	<script type="text/javascript" src="<?php echo htmlentities($CFG->wwwroot.'/lib/editor/edusharing/js/dialog.js', ENT_COMPAT, 'utf-8') ?>"></script>
</head>

<body">

<form>
    <h2><?php echo htmlentities(get_string('dialog_title', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></h2>
    <br/>
	<p><?php echo htmlentities(get_string('dialog_infomsg', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></p>
    <br/>
<?php

//.oO get CC homeconf
$es = new ESApp();
$app = $es->getApp(EDUSHARING_BASENAME);
$conf = $es->getHomeConf();
$propArray = $conf->prop_array;

$edusharing = new stdClass();
$edusharing->object_url = '';
$edusharing->course_id = $COURSE->id;
$edusharing->id = 0;
$edusharing->resource_type = '';
$edusharing->resource_version = '';
$edusharing->title = empty($_GET['title']) ? '' : $_GET['title'];
$edusharing->window_width = empty($_GET['window_width']) ? 240 : $_GET['window_width'];
$edusharing->window_height = empty($_GET['window_height']) ? 180 : $_GET['window_height'];
$edusharing->frame_border = '';
$edusharing->display_block = '';
$edusharing->mimetype = '';

$repository_id = $propArray['homerepid'];
if ( ! $repository_id )
{
	header('HTTP/1.1 500 Internal Server Error');
	throw new Exception('No home-repository configured.');
}

?>
    <table>
        <tr>
            <td><?php echo htmlentities(get_string('title', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td><input type="text" maxlength="30" size="15" name="title" id="title" value="<?php echo htmlspecialchars($edusharing->title, ENT_COMPAT, 'utf-8') ?>"></input></td>
        </tr>
        <tr>
            <td><?php echo htmlentities(get_string('window_width', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td><input type="text" maxlength="4" size="5" name="window_width" id="window_width"  value="<?php echo htmlspecialchars($edusharing->window_width, ENT_COMPAT, 'utf-8') ?>" /></td>
        </tr>
         <tr>
            <td><?php echo htmlentities(get_string('window_height', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td><input type="text" maxlength="4" size="5" name="window_height" id="window_height" value="<?php echo htmlspecialchars($edusharing->window_height, ENT_COMPAT, 'utf-8') ?>"/></td>
        </tr>
        <tr>
            <td><?php echo htmlentities(get_string('frameborder', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td>
                <select name="frameborder" id="frame_border">
                    <option value="0" <?php echo $edusharing->frame_border ? 'selected="selected"' : '' ?>><?php echo htmlspecialchars(get_string('no', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></option>
                    <option value="1" <?php echo $edusharing->frame_border ? '' : 'selected="selected"' ?>><?php echo htmlspecialchars(get_string('yes', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></option>
                </select>
            </td>
        </tr>
        <tr>
            <td><?php echo htmlentities(get_string('display_block', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td>
				<input type="checkbox" value="1" <?php echo $edusharing->display_block ? 'selected="selected"' : '' ?> />
            </td>
        </tr>
    </table>

	<div class="mceActionPanel">
		<input type="button" id="update" name="update" class="button" value="<?php echo htmlspecialchars(get_string('update', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?>" onclick="edusharingDialog.on_click_update(document.forms[0]);" />
		<input type="button" id="cancel" name="cancel" class="button" value="<?php echo htmlspecialchars(get_string('cancel', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?>" onclick="edusharingDialog.on_click_cancel();" />
	</div>

</form>

</body>
</html>
