<?php

require_once(dirname(__FILE__) . "/../../../../config.php");
require_once($CFG->dirroot.'/lib/setup.php');

session_get_instance();
require_login();

global $DB;
global $CFG;
global $COURSE;
global $SESSION;

require_once($CFG->dirroot.'/mod/edusharing/lib/ESApp.php');
require_once($CFG->dirroot.'/mod/edusharing/lib/EsApplication.php');
require_once($CFG->dirroot.'/mod/edusharing/lib/EsApplications.php');
require_once($CFG->dirroot.'/mod/edusharing/conf/cs_conf.php');
require_once($CFG->dirroot.'/mod/edusharing/lib/cclib.php');
require_once($CFG->dirroot.'/mod/edusharing/lib.php');

$tinymce = get_texteditor('tinymce');
if ( ! $tinymce )
{
	throw new RuntimeException('Could not get_texteditor("tinymce") for version-information.');
}

if ( empty($CFG->yui3version) )
{
	throw new RuntimeException('Could not determine installed YUI-version.');
}

?><html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo htmlentities(get_string('dialog_title', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></title>

	<script type="text/javascript" src="<?php echo htmlentities($CFG->wwwroot.'/lib/yui/'.$CFG->yui3version.'/build/yui/yui.js', ENT_COMPAT, 'utf-8') ?>"></script>
	<script type="text/javascript" src="<?php echo htmlentities($CFG->wwwroot.'/lib/editor/tinymce/tiny_mce/'.$tinymce->version.'/tiny_mce_popup.js', ENT_COMPAT, 'utf-8') ?>"></script>

	<script type="text/javascript" src="<?php echo htmlentities($CFG->wwwroot.'/lib/editor/edusharing/js/edusharing.js', ENT_COMPAT, 'utf-8') ?>"></script>
	<script type="text/javascript" src="<?php echo htmlentities($CFG->wwwroot.'/lib/editor/edusharing/js/dialog.js', ENT_COMPAT, 'utf-8') ?>"></script>
</head>

<body">

<form>
    <h2><?php echo htmlentities(get_string('dialog_title', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></h2>
    <br/>
	<p><?php echo htmlentities(get_string('dialog_infomsg', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></p>
    <br/>
<?php

//.oO get CC homeconf
$es = new ESApp();
$app = $es->getApp(EDUSHARING_BASENAME);
$conf = $es->getHomeConf();
$propArray = $conf->prop_array;

$edusharing = new stdClass();
$edusharing->object_url = '';
$edusharing->course_id = $COURSE->id;
$edusharing->id = 0;
$edusharing->resource_type = '';
$edusharing->resource_version = '';
$edusharing->title = '';
$edusharing->window_width = 150;
$edusharing->window_height = 120;
$edusharing->frame_border = '';
$edusharing->display_block = '';
$edusharing->mimetype = '';

$repository_id = $propArray['homerepid'];
if ( ! $repository_id )
{
	header('HTTP/1.1 500 Internal Server Error');
	throw new Exception('No home-repository configured.');
}

if ( ! empty($_GET['resource_id']) )
{
	$resource_id = $_GET['resource_id'];

	$edusharing = $DB->get_record(EDUSHARING_TABLE, array('id' => $resource_id));
	if ( ! $edusharing ) {
		header('HTTP/1.1 500 Internal Server Error');
		throw new Exception('Error loading edusharing-resource.');
	}

	$repository_id = _edusharing_get_repository_id_from_url($edusharing->object_url);
	if ( ! $repository_id ) {
		header('HTTP/1.1 500 Internal Server Error');
		throw new Exception('Error reading repository-id from object-url.');
	}
}


$ccauth = new CCWebServiceFactory($repository_id);
$ticket = $ccauth->CCAuthenticationGetTicket($propArray['appid']);
if ( ! $ticket )
{
	print_error($ccauth->beautifyException($ticket));
	print_footer("edu-sharing");
	exit;
}

if ( empty($propArray['cc_gui_url']) )
{
	trigger_error('No "cc_gui_url" configured.', E_ERROR);
}

$link = $propArray['cc_gui_url']; // link to the external cc-search
$link .= '?mode=0';

$user = $_SESSION["USER"]->email;
$link .= '&user='.urlencode($user);

$link .= '&ticket='.urlencode($ticket);

$language = _edusharing_get_current_users_language_code();
if ( $language )
{
	$link .= '&locale=' . urlencode($language);
}

$search = trim(optional_param('search', '', PARAM_NOTAGS)); // query for the external cc-search
if (!empty($search)) {
	$link .= '&p_searchtext='.urlencode($search);
}

$link .= '&reurl='.urlencode($CFG->wwwroot."/lib/editor/edusharing/dialog/populate.php?");


//
$repository_conf = $es->getAppByID($repository_id);
if ( ! $repository_conf ) {
	error_log('Error loading config for "'.$repository_id.'".');
}

$alfresco_webservice_url = $repository_conf->prop_array['alfresco_webservice_url'];
if ( ! $alfresco_webservice_url ) {
	error_log('No alfresco_base_url for "'.$repository_id.'".');
}

//
?>
	<input type="hidden" name="alfresco_base_url" value="<?php echo htmlspecialchars($alfresco_webservice_url, ENT_COMPAT, 'utf-8'); ?>" />
    <input type="hidden" name="alfresco_ticket" value="<?php echo htmlspecialchars($ticket, ENT_COMPAT, 'utf-8'); ?>" />

    <input type="hidden"  maxlength="30" size="15" name="mimetype" id="mimetype" />
	<input type="hidden" maxlength="30" size="15" name="resourcetype" id="resourcetype" value="<?php echo htmlspecialchars($edusharing->resource_type, ENT_COMPAT, 'utf-8') ?>" />

<!--        {#edusharing_dlg.resourceVersion} -->
	<input type="hidden" maxlength="30" size="15" name="resourceversion" id="resourceversion" />
<!--        {#edusharing_dlg.resourceid}-->
	<input type="hidden" maxlength="30" size="15" name="resource_id" id="resource_id"  value="<?php echo htmlspecialchars($edusharing->resource_id, ENT_COMPAT, 'utf-8') ?>" />
<!--        {#edusharing_dlg.ticket}-->
	<input type="hidden" maxlength="40" size="35" name="ticket" id="ticket"  value="<?php echo htmlspecialchars($ticket, ENT_COMPAT, 'utf-8') ?>" />

    <table>
        <tr>
            <td><?php echo htmlentities(get_string('mediasrc', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td><input type="text" maxlength="300" size="50" name="object_url" id="object_url" value="<?php echo htmlspecialchars($edusharing->object_url, ENT_COMPAT, 'utf-8') ?>" ></input>
            <button type="button" name="search" value="2" onclick="window.open('<?php echo htmlspecialchars($link, ENT_COMPAT, 'utf-8'); ?>','_blank','width=1024,height=500,left=100,top=140,scrollbars=yes')">Suche</button>
            </td>
        </tr>
        <tr>
            <td><?php echo htmlentities(get_string('title', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td><input type="text" maxlength="30" size="15" name="title" id="title" value="<?php echo $title ? htmlspecialchars($edusharing->title, ENT_COMPAT, 'utf-8') : '' ?>"></input></td>
        </tr>
        <tr>
            <td><?php echo htmlentities(get_string('window_width', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td><input type="text" maxlength="4" size="5" name="window_width" id="window_width"  value="<?php echo htmlspecialchars($edusharing->window_width, ENT_COMPAT, 'utf-8') ?>" /></td>
        </tr>
         <tr>
            <td><?php echo htmlentities(get_string('window_height', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td><input type="text" maxlength="4" size="5" name="window_height" id="window_height" value="<?php echo htmlspecialchars($edusharing->window_height, ENT_COMPAT, 'utf-8') ?>"/></td>
        </tr>
        <tr>
            <td><?php echo htmlentities(get_string('frameborder', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td>
                <select name="frameborder" id="frame_border">
                    <option value="0" <?php echo $edusharing->frame_border ? 'selected="selected"' : '' ?>><?php echo htmlspecialchars(get_string('no', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></option>
                    <option value="1" <?php echo $edusharing->frame_border ? '' : 'selected="selected"' ?>><?php echo htmlspecialchars(get_string('yes', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></option>
                </select>
            </td>
        </tr>
        <tr>
            <td><?php echo htmlentities(get_string('display_block', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?></td>
            <td>:</td>
            <td>
				<input type="checkbox" name="display_block" value="1" <?php echo $edusharing->display_block ? 'selected="selected"' : '' ?> />
            </td>
        </tr>
    </table>

	<div class="mceActionPanel">
		<input type="button" id="insert" name="insert" class="button" value="<?php echo htmlspecialchars(get_string('insert', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?>" onclick="edusharingDialog.on_click_insert(this.form);" />
		<input type="button" id="cancel" name="cancel" class="button" value="<?php echo htmlspecialchars(get_string('cancel', 'editor_edusharing'), ENT_COMPAT, 'utf-8') ?>" onclick="edusharingDialog.on_click_cancel();" />
	</div>

</form>

</body>
</html>
