tinyMCEPopup.requireLangPack();

var edusharingDialog = {

	editor : null,

	// Initializes the popup this will be called automatically.
	init : function(editor) {
		this.editor = editor;
	},
	
	/**
	 * Insert <img>-tag for newly inserted object
	 * 
	 * @param HTMLFormElement form
	 */
	on_click_insert : function(form) {
		var selectedNode = this.editor.selection.getNode();
		if ( ! selectedNode ) {
			alert('No node selected so object can not be inserted here. Cancelling.');
			return false;
		}
		
		// create and append new element-node
		
		node = null;
		switch ( form.mimetype.value.substr(0, 6).toLowerCase() )
        {
	        case 'audio/':
	        case 'video/':
	        case 'image/':
	        	node = document.createElement('img');
	        	node = selectedNode.appendChild(node);
	        	
	        	node.setAttribute('src', this.preview_url(form));
		        break;

	        default:
	        	node = document.createElement('object');
        		node = selectedNode.appendChild(node);

        		node.innerHTML = form.title.value;
		        break;
        }		
		
		// fill node
		var uri = this.editor.getParam('edusharing_namespace_uri');
		var prefix = this.editor.getParam('edusharing_namespace_prefix');
		
		node.setAttribute('xmlns:' + prefix, uri);
		
		node.setAttribute(prefix + ':object_url', form.object_url.value);
		
		node.setAttribute('class', 'edusharing');

		node.setAttribute('alt', form.title.value);
		node.setAttribute('title', form.title.value);
		node.setAttribute('standby', 'Please be patient while loading contents.');

		node.setAttribute('width', form.window_width.value);
		node.setAttribute('height', form.window_height.value);
	       
              node.setAttribute(prefix + ':mimetype', form.mimetype.value);
		
		node.setAttribute(prefix + ':frame_border', form.frame_border.value);
		
		tinyMCEPopup.editor.execCommand('mceRepaint');

		tinyMCEPopup.close();
	},

	/**
	 * Populate edited form-data to <img>-tag
	 * 
	 */
	on_click_update : function(form) {
		
		var node = this.editor.selection.getNode();
		
		// Fill values from dialog box into object
		node.setAttribute('alt', form.title.value);
		node.setAttribute('title', form.title.value);

		node.setAttribute('width', form.window_width.value);
		node.setAttribute('height', form.window_height.value);
		
		tinyMCEPopup.editor.execCommand('mceRepaint');

		tinyMCEPopup.close();
	},
	
	on_click_cancel: function() {
		tinyMCEPopup.editor.execCommand('mceRepaint');

		tinyMCEPopup.close();
	},
	
	/**
	 * Helper method to build preview-url from populated form-data
	 * 
	 * @param HTMLFormElement form
	 */
	preview_url : function(form) {
		// splitting object-url to get object-id
		var object_url_parts = form.object_url.value.split('/');
		var object_id = object_url_parts[3];

		var preview_url = form.alfresco_base_url.value + '/../../edu-sharing/preview';
		preview_url = preview_url.concat('?nodeId=' + object_id);
		preview_url = preview_url.concat('&ticket=' + form.alfresco_ticket.value);

		return preview_url;
	}

};

tinyMCEPopup.onInit.add(edusharingDialog.init, edusharingDialog);
